# Uses of Interface
org.eclipse.debug.ui.memory.IMemoryRenderingType

Packages that use IMemoryRenderingType
Package
Description
org.eclipse.debug.ui.actions
Provides a set of actions related to running and debugging applications.
org.eclipse.debug.ui.memory
Provides classes and interfaces to render memory blocks in the memory view.

## Uses of IMemoryRenderingType in org.eclipse.debug.ui.actions

Methods in org.eclipse.debug.ui.actions that return IMemoryRenderingType
Modifier and Type
Method
Description
`IMemoryRenderingType[]`
IAddMemoryRenderingsTarget.`getMemoryRenderingTypes(IWorkbenchPart part, ISelection selection)`
Returns a list of rendering types that can be added from the given workbench part and active debug context, possibly empty.
Methods in org.eclipse.debug.ui.actions with parameters of type IMemoryRenderingType
Modifier and Type
Method
Description
`void`
IAddMemoryRenderingsTarget.`addMemoryRenderings(IWorkbenchPart part, ISelection selection, IMemoryRenderingType[] renderingTypes)`
Adds memory renderings.

## Uses of IMemoryRenderingType in org.eclipse.debug.ui.memory

Methods in org.eclipse.debug.ui.memory that return IMemoryRenderingType
Modifier and Type
Method
Description
`IMemoryRenderingType[]`
IMemoryRenderingBindingsProvider.`getDefaultRenderingTypes(IMemoryBlock block)`
Returns default rendering types bound to the given memory block, possibly empty.
`IMemoryRenderingType`
IMemoryRenderingBindingsProvider.`getPrimaryRenderingType(IMemoryBlock block)`
Returns the primary rendering type bound to the given memory block, or `null` if none.
`IMemoryRenderingType`
IMemoryRenderingManager.`getRenderingType(String id)`
Returns the memory rendering type with the given identifier, or `null` if none.
`IMemoryRenderingType[]`
IMemoryRenderingBindingsProvider.`getRenderingTypes(IMemoryBlock block)`
Returns all rendering types bound to the given memory block.
`IMemoryRenderingType[]`
IMemoryRenderingManager.`getRenderingTypes()`
Returns all contributed memory rendering types.